aboutsummaryrefslogtreecommitdiffstats
path: root/x11/compositeproto/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-05-16 19:17:28 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-05-16 19:17:28 +0000
commit7e444f162a9ea1b60be8a35234517c628a54f37e (patch)
tree77bb395c084b9a9ded976ed9b149914e670bbf25 /x11/compositeproto/APKBUILD
parent4260f178c04e97acbe19190d97760115c7b83de2 (diff)
downloadaports-7e444f162a9ea1b60be8a35234517c628a54f37e.tar.gz
aports-7e444f162a9ea1b60be8a35234517c628a54f37e.tar.bz2
aports-7e444f162a9ea1b60be8a35234517c628a54f37e.tar.xz
x11/xorg-server: enabled composite
Diffstat (limited to 'x11/compositeproto/APKBUILD')
-rw-r--r--x11/compositeproto/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/compositeproto/APKBUILD b/x11/compositeproto/APKBUILD
new file mode 100644
index 0000000000..2e4b340a0a
--- /dev/null
+++ b/x11/compositeproto/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=compositeproto
+pkgver=0.4
+pkgrel=0
+pkgdesc="X11 Composite extension wire protocol"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="fixesproto"
+makedepends=""
+source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+md5sums="6281344d656d4e0c8e9db4918efe3d1d compositeproto-0.4.tar.bz2"